Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.util
Class CollectionProperties

    java.lang.Object
      sim.util.Properties
          sim.util.CollectionProperties

All Implemented Interfaces:
  java.io.Serializable

public class CollectionProperties
extends Properties

See Also:
  Serialized Form

Constructor Summary
`CollectionProperties(java.util.Collection c)`
`CollectionProperties(Indexed i)`
`CollectionProperties(java.util.List list)`
`CollectionProperties(java.util.Map m)`
`CollectionProperties(java.lang.Object o)` For arrays

Method Summary
`java.lang.String` | `getName(int index)`
`java.lang.Class` | `getType(int index)`
`java.lang.Object` | `getValue(int index)`
`boolean` | `isReadWrite(int index)`
`boolean` | `isVolatile()` Returns true if the number or order of properties could change at any time
`int` | `numProperties()`

Methods inherited from class sim.util.Properties
`betterToString, getProperties, getTypeConversion, isComposite, setValue, setValue, typeToName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionProperties

    public CollectionProperties(java.util.Collection c)

### CollectionProperties

    public CollectionProperties(java.util.List list)

### CollectionProperties

    public CollectionProperties(java.util.Map m)

### CollectionProperties

    public CollectionProperties(Indexed i)

### CollectionProperties

    public CollectionProperties(java.lang.Object o)

  For arrays

Method Detail

### isVolatile

    public boolean isVolatile()

  Description copied from class: `Properties`
  Returns true if the number or order of properties could change at any time

  Specified by:
    `isVolatile` in class `Properties`

### numProperties

    public int numProperties()

  Specified by:
    `numProperties` in class `Properties`

### getValue

    public java.lang.Object getValue(int index)

  Specified by:
    `getValue` in class `Properties`

### isReadWrite

    public boolean isReadWrite(int index)

  Specified by:
    `isReadWrite` in class `Properties`

### getName

    public java.lang.String getName(int index)

  Specified by:
    `getName` in class `Properties`

### getType

    public java.lang.Class getType(int index)

  Specified by:
    `getType` in class `Properties`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD